<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/element">
  <html>
	<head>
	<title>Rapport Lexico</title>
	<link rel="stylesheet" title="styleindex" href="./styles/style.css" />
	</head>
<body>
<div id="menu">
<ul>
<li><a href="../index.xml">Sommaire</a></li>
<xsl:for-each select="entete/sommaire/e">
<li><a href="{./@file}">e<xsl:value-of select="./@num"/></a></li>
</xsl:for-each>
</ul>
</div>

<div id="conteneur">
<p><img src="./illustrations/logocla2t.gif" /></p>
<p><xsl:text>

</xsl:text></p>
<h1>Rapport <font color="blue">Lexico</font><font color="red">3</font><xsl:text>  </xsl:text><a href="./memo/{./entete/memo/@file}"><img src="./illustrations/editnote.gif" border="0"/></a></h1>

<p align="center"><hr height="1" color="blue" width="90%"/></p>
<h2><xsl:value-of select="./entete/type/@titre"/></h2>
<xsl:apply-templates select="contenu"/>
<p align="center"><hr height="1" color="blue" width="90%"/></p>
<p align="left"><br/></p>

</div>
<p><xsl:text>

</xsl:text></p>

<div id="footer">

<b><font color="blue">Lexico</font><font color="red">3</font></b><xsl:text> </xsl:text><a href="http://lexico3.no-ip.org">http://lexico3.no-ip.org</a>
</div>
</body>
</html>
</xsl:template>

<xsl:template match="contenu">

<xsl:if test="para">
<p align="justify"><b>Paramtres</b> : </p>
<ul>
<xsl:for-each select="para/par">
<li><xsl:value-of select="."/></li>
</xsl:for-each>
</ul>
</xsl:if>

<table border="0">
<xsl:for-each select="cc">
<xsl:choose>
<xsl:when test="partie">
<tr>
<td align="center" colspan="3"><h3><font color="blue">--- <xsl:value-of select="partie"/> ---</font></h3></td>
</tr>
</xsl:when>
<xsl:otherwise>
<tr>
<td align="right" width="45%"><xsl:value-of select="g"/></td>
<td align="center" width="10%"><font color="blue"><i><b><xsl:value-of select="p"/></b></i></font></td>
<td align="left" width="45%"><xsl:value-of select="d"/></td>
</tr>
</xsl:otherwise>
</xsl:choose>

</xsl:for-each>

</table>
</xsl:template>



</xsl:stylesheet>

