<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/rapport">
  <html>
	<head>
	<title>Rapport Lexico</title>
	<link rel="stylesheet" title="styleindex" href="./contenu/styles/style.css" />
	</head>
<body>

<div id="menu">
<ul>
<li><a href="index.xml">Sommaire</a></li>
<xsl:for-each select="entete/sommaire/e">
<li><a href="./contenu/{./@file}">e<xsl:value-of select="./@num"/></a></li>
</xsl:for-each>
</ul>
</div>

<div id="conteneur">

<table width="50%">
<tr>
<td width="50%" align="left" valign="top">
<img src="./contenu/illustrations/logocla2t.gif" />
</td>
<td width="50%" align="center" valign="top">
<h1>Rapport <font color="blue">Lexico</font><font color="red">3</font> <a href="./contenu/memo/{./entete/memo/@file}"><img src="./contenu/illustrations/editnote.gif" border="0" alt="memo general"/></a></h1>
</td>
</tr>
</table>

<blockquote>
<xsl:apply-templates select="entete"/>
</blockquote>

<p><hr height="1" color="blue" width="50%" align="left"/></p>

<h2>Elments du rapport :</h2>
<xsl:apply-templates select="ELEMENTS"/>
<p align="left"><br/></p>
<p><hr height="1" color="blue" width="50%" align="left"/></p>

<h2>Mmos du rapport :</h2>
<ul>
<li><a href="memo.xml">m00.</a> Ensemble des mmos</li>
</ul>

<p align="left"><br/></p>
<p><hr height="1" color="blue" width="50%" align="left"/></p>

</div>
<p><xsl:text>

</xsl:text></p>
<div id="footer">

<b><font color="blue">Lexico</font><font color="red">3</font></b><xsl:text> </xsl:text><a href="http://lexico3.no-ip.org">http://lexico3.no-ip.org</a>
</div>
</body>
</html>
</xsl:template>


<xsl:template match="entete">

<table width="50%">
<tr>
<td width="50%" align="left"><h1>Corpus :</h1></td>
<td width="50%" align="right"><h1><i><xsl:value-of select="titre"/></i></h1></td>
</tr>

<tr><td width="50%" align="left"><b><font color="blue">Date</font></b></td>
<td width="50%" align="right"><b><xsl:value-of select="date"/></b></td></tr>

<tr><td width="50%" align="left"><b><font color="blue">Fichier</font></b></td>
<td width="50%" align="right"><b><xsl:value-of select="param/@File"/></b></td></tr>

<tr><td width="50%" align="left"><b><font color="blue">Nombre d'occurrences</font></b></td>
<td width="50%" align="right"><b><xsl:value-of select="param/@Nbocc"/></b></td></tr>

<tr>
<td width="50%" align="left"><b><font color="blue">Nombre de formes</font></b></td>
<td width="50%" align="right"><b><xsl:value-of select="param/@Nbform"/></b></td></tr>

<tr><td width="50%" align="left"><b><font color="blue">Nombre d'hapax</font></b></td>
<td width="50%" align="right"><b><xsl:value-of select="param/@Nhap"/></b></td></tr>

<tr><td width="50%" align="left"><b><font color="blue">Frequence maximale</font></b></td>
<td width="50%" align="right"><b><xsl:value-of select="param/@Fmax"/></b></td></tr>

<tr><td width="50%" align="left"><b><font color="blue">Forme max </font></b></td>
<td width="50%" align="right"><b><xsl:value-of select="param/@Formax"/></b></td></tr>

<tr><td width="50%" align="left"><b><font color="blue">Encodage</font></b></td>
<td width="50%" align="right"><b><xsl:value-of select="param/@Encodage"/></b></td></tr>

<tr><td width="50%" align="left"><b><font color="blue">Dlimiteurs</font></b></td>
<td width="50%" align="right"><b><xsl:value-of select="param/delim"/></b></td></tr>

</table>
</xsl:template>



<xsl:template match="ELEMENTS">
<ul>

<xsl:for-each select="element">
<li><a href="./contenu/{./@file}">e<xsl:value-of select="./@num"/></a><xsl:text> </xsl:text><a href="./contenu/memo/{./@memo}"><img width="20" src="./contenu/illustrations/editnote.gif" border="0" alt="memo element {./@num}"/></a><xsl:text></xsl:text> - <xsl:text> </xsl:text><i><a href="./contenu/{./@file}"><xsl:value-of select="./@titre"/></a></i></li>
</xsl:for-each>
</ul>
</xsl:template>


</xsl:stylesheet>