<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/element">
  <html>
	<head>
	<title>Rapport Lexico</title>
	<link rel="stylesheet" title="styleindex" href="./styles/style.css" />
	</head>
<body>
<div id="menu">
<ul>
<li><a href="../index.xml">Sommaire</a></li>
<xsl:for-each select="entete/sommaire/e">
<li><a href="{./@file}">e<xsl:value-of select="./@num"/></a></li>
</xsl:for-each>
</ul>
</div>

<div id="conteneur">
<p><img src="./illustrations/logocla2t.gif" /></p>
<p><xsl:text>

</xsl:text></p>
<h1>Rapport <font color="blue">Lexico</font><font color="red">3</font><xsl:text>  </xsl:text><a href="./memo/{./entete/memo/@file}"><img src="./illustrations/editnote.gif" border="0"/></a></h1>

<p align="center"><hr height="1" color="blue" width="90%"/></p>
<h2><xsl:value-of select="./entete/type/@titre"/></h2>
<xsl:apply-templates select="contenu"/>
<p align="center"><hr height="1" color="blue" width="90%"/></p>
<p align="left"><br/></p>

</div>
<p><xsl:text>

</xsl:text></p>

<div id="footer">

<b><font color="blue">Lexico</font><font color="red">3</font></b><xsl:text> </xsl:text><a href="http://lexico3.no-ip.org">http://lexico3.no-ip.org</a>
</div>
</body>
</html>
</xsl:template>

<xsl:template match="contenu">
<xsl:if test="para">
<p align="justify"><b>Paramtres</b> : </p>
<ul>
<xsl:for-each select="para/par">
<li><xsl:value-of select="."/></li>
</xsl:for-each>
</ul>
</xsl:if>

<table border="0">

<xsl:if test="sp">
<tr bgcolor="silver"><td><xsl:text>Forme</xsl:text></td><td align="center"><xsl:text>Frq. Tot. </xsl:text></td><td align="center"><xsl:text>Frquence </xsl:text></td><td align="center"><xsl:text>Coeff. </xsl:text></td></tr>
</xsl:if>

<xsl:for-each select="lsp">
<tr><td><xsl:value-of select="./c[1]"/></td><td align="center"><xsl:value-of select="./c[2]"/><xsl:text> </xsl:text></td><td align="center"><xsl:value-of select="./c[3]"/></td><td align="center"><xsl:text> </xsl:text><i><xsl:value-of select="./c[4]"/></i></td>
<!-- Rustine CL 09/2008 pour afficher les parties il serait meilleur utiliser for-each pour les colonnes -->
<xsl:if test="./c[5]">
<td><xsl:value-of select="./c[5]"/></td>
</xsl:if>
</tr>
</xsl:for-each>


</table>
</xsl:template>



</xsl:stylesheet>

